%if 0%{?fedora} > 12 || 0%{?rhel} > 6
%global with_python3 1
%endif

%global srcname ansi2html

Name:       python-ansi2html
Version:    0.9.0
Release:    3%{?dist}
Summary:    Python module that converts text with ANSI color to HTML

Group:      Development/Libraries
License:    GPLv3+
URL:        http://github.com/ralphbean/ansi2html
Source0:    http://pypi.python.org/packages/source/a/ansi2html/ansi2html-%{version}.tar.gz
BuildArch:  noarch

BuildRequires:  python
BuildRequires:  python-setuptools
BuildRequires:  python-nose
BuildRequires:  python-six
%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-nose
BuildRequires:  python3-six
%endif


Requires:   python
Requires:   python-six
%if 0%{?with_python3}
Requires:   python3
Requires:   python3-six
%endif

%description
The ansi2html module can convert text with ANSI color codes to HTML.

%if 0%{?with_python3}
%package -n python3-ansi2html
Summary:    Python 3 module that converts text with ANSI color to HTML
Group:      Development/Libraries

%description -n python3-ansi2html
The ansi2html module can convert text with ANSI color codes to HTML.
%endif


%prep
%setup -q -n %{srcname}-%{version}

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif

%check
%{__python} setup.py test

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py test
popd
%endif

%build
%{__python} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

%install
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root=%{buildroot}
mv %{buildroot}/%{_bindir}/ansi2html %{buildroot}/%{_bindir}/python3-ansi2html
popd
%endif

%{__python} setup.py install --skip-build --root=%{buildroot}


%files
%doc LICENSE README.rst
%{python_sitelib}/ansi2html
%{python_sitelib}/ansi2html-%{version}-*
%{_bindir}/ansi2html

%if 0%{?with_python3}
%files -n python3-ansi2html
%doc LICENSE README.rst
%{python3_sitelib}/ansi2html
%{python3_sitelib}/ansi2html-%{version}-*
%{_bindir}/python3-ansi2html
%endif


%changelog
* Wed May 23 2012 Ralph Bean <rbean@redhat.com> - 0.9.0-3
- Fix executable python2/python3 confusion.
- More explicit ownership of dirs in python_sitelib.
- Removed mixed use of tabs and spaces.
* Wed May 09 2012 Ralph Bean <rbean@redhat.com> - 0.9.0-2
- python3 support.
* Wed May 09 2012 Ralph Bean <rbean@redhat.com> - 0.9.0-1
- Packaged latest upstream version.
- Removed unnecessary defattr and buildroot
- New dependency on python-six
* Fri Feb 3 2012 Ralph Bean <rbean@redhat.com> - 0.8.3-1
- Included tests in check section.
- More concise file ownership declarations.
- Resolved license ambiguity in upstream.
- Removed shebang from non-executable file.
* Mon Jan 30 2012 Ralph Bean <rbean@redhat.com> - 0.8.2-1
- Updated ansi2html version to latest 0.8.2.
- Added _bindir entry for the ansi2html console-script.
- Removed dependency on genshi.
- Removed references to now EOL fedora 12.
* Wed Sep 15 2010 Ralph Bean <ralph.bean@gmail.com> - 0.5.2-1
- Updated spec based on comments from Mark McKinstry
* Tue Sep 7 2010 Ralph Bean <ralph.bean@gmail.com> - 0.5.1-1
- Initial RPM packaging

